<?php

namespace Lucent\Record;

use Lucent\ArrayContainer;

class RecordData extends ArrayContainer
{


    public function merge(RecordData $data): RecordData
    {

        $this->data = array_merge($this->data, $data->toArray());
        return $this;
    }

    public function toArray(): array
    {
        return $this->data;
    }

    
}
